Support » Plugin: CF7 Google Sheets Connector » Loading forever when save google access code

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author westerndeal

    (@westerndeal)

    Hi @damarmartel,

    Can you deactivate all other plugins and just have CF7 and GSheetConnector active and check if that all works?

    If it works then there might be a plugin conflict.

    Let us know.

    Thanks
    Abdullah

    Thread Starter damarmartel

    (@damarmartel)

    Oh you are right. It’s conflict with this plugin “PVB Contact Form 7 Calculator Pro”

    I use this to do custom calculation in the form. Is there anything I should do?

    Plugin Author westerndeal

    (@westerndeal)

    Hi @damarmartel,

    Thanks for the details of the conflict. We tested our plugin with it and didn’t found any conflict however the plugin on activation throws error.

    Can you enable wordpress debug and send us the exact error that displays for you?

    Also which PHP version you are running?

    Thread Starter damarmartel

    (@damarmartel)

    Hi @westerndeal ,

    Here is the log

    [10-Aug-2021 09:51:43 UTC] PHP Notice:  Undefined variable: validation_error in /home/customer/www/cakehero.com.au/public_html/wp-content/plugins/pvb-cf7-calculator-pro/lib/PVBCF7Calculator.php on line 802
    [10-Aug-2021 09:51:43 UTC] PHP Notice:  Undefined property: PVBCF7CalculatorPro\lib\PVBCF7Calculator::$plugin_version in /home/customer/www/cakehero.com.au/public_html/wp-content/plugins/pvb-cf7-calculator-pro/lib/PVBCF7Calculator.php on line 1276
    [10-Aug-2021 09:52:05 UTC] PHP Notice:  Array to string conversion in /home/customer/www/cakehero.com.au/public_html/wp-content/plugins/pvb-cf7-calculator-pro/lib/PVBCF7Calculator.php on line 2347
    [10-Aug-2021 09:52:05 UTC] PHP Fatal error:  Uncaught Error: Undefined class constant 'MAJOR_VERSION' in /home/customer/www/cakehero.com.au/public_html/wp-content/plugins/cf7-google-sheets-connector/lib/vendor/guzzlehttp/guzzle/src/Utils.php:118
    Stack trace:
    #0 /home/customer/www/cakehero.com.au/public_html/wp-content/plugins/cf7-google-sheets-connector/lib/vendor/guzzlehttp/guzzle/src/functions.php(71): GuzzleHttp\Utils::defaultUserAgent()
    #1 /home/customer/www/cakehero.com.au/public_html/wp-content/plugins/pvb-cf7-calculator-pro/lib/Google/vendor/guzzlehttp/guzzle/src/Client.php(278): GuzzleHttp\default_user_agent()
    #2 /home/customer/www/cakehero.com.au/public_html/wp-content/plugins/pvb-cf7-calculator-pro/lib/Google/vendor/guzzlehttp/guzzle/src/Client.php(76): GuzzleHttp\Client->configureDefaults(Array)
    #3 /home/customer/www/cakehero.com.au/public_html/wp-content/plugins/cf7-google-sheets-connector/lib/src/Client.php(1190): GuzzleHttp\Client->__construct(Array)
    #4 /home/customer/www/cakehero.com.au/public_html/wp-content/plugins/cf7-google-sheets-con in /home/customer/www/cakehero.com.au/public_html/wp-content/plugins/cf7-google-sheets-connector/lib/vendor/guzzlehttp/guzzle/src/Utils.php on line 118
    Server architecture	Linux 3.12.18-clouder0 x86_64
    Web server	Apache
    PHP version	7.4.22 (Supports 64bit values)
    PHP SAPI	cgi-fcgi
    PHP max input variables	3000
    PHP time limit	120
    PHP memory limit	768M
    Max input time	120
    Upload max filesize	256M
    PHP post max size	256M
    Plugin Author westerndeal

    (@westerndeal)

    Thanks for the details.

    So its a library conflict. They would need to update the library.

    We are working on the fix in upcoming version to avoid this conflicts.

    Currently you can deactivate PVB plugin, do an authentication and activate PVB plugin again and check if that works for you.

    Thread Starter damarmartel

    (@damarmartel)

    “Currently you can deactivate PVB plugin, do an authentication and activate PVB plugin again and check if that works for you.”

    I see, it’s not working. The error I get is after do that process.

    Plugin Author westerndeal

    (@westerndeal)

    Okay then meanwhile you can rollback to the 4.5 version and check if that works for you.

    We are also working to avoid this conflict and will soon release it.

    Also can you ask PVB plugin developers to update there library?

    Thread Starter damarmartel

    (@damarmartel)

    I have asked them to solve this, still waiting for them to getback. I can’t rollback because this is my client and I am afraid it will breaks something. Anyway thank you so much for your help.

Viewing 8 replies - 1 through 8 (of 8 total)
  • You must be logged in to reply to this topic.